module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[2]={
			args={action_name=[[attack2]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0.3,
		},
		[3]={
			args={
				alive_time=1.4,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=false,
					magic_layer=[[top]],
					path=[[Effect/Magic/magic_eff_new_513/Prefabs/513_attack2.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0.2,
			},
			func_name=[[BodyEffect]],
			start_time=0.55,
		},
		[4]={args={},func_name=[[MagcAnimStart]],start_time=1,},
		[5]={
			args={
				alive_time=0.4,
				begin_pos={base_pos=[[atk]],depth=0.5,relative_angle=0,relative_dis=0,},
				delay_time=0,
				ease_type=[[Linear]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_513/Prefabs/513_fly1.prefab]],
					preload=true,
				},
				end_pos={base_pos=[[vic_team_center]],depth=0.5,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
				move_time=0.4,
			},
			editor_is_ban=false,
			func_name=[[ShootEffect]],
			start_time=1.15,
		},
		[6]={
			args={
				alive_time=0.4,
				begin_pos={base_pos=[[atk]],depth=0.5,relative_angle=0,relative_dis=0,},
				delay_time=0,
				ease_type=[[Linear]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_513/Prefabs/513_fly1.prefab]],
					preload=true,
				},
				end_pos={base_pos=[[vic_team_center]],depth=0.5,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
				move_time=0.4,
			},
			editor_is_ban=false,
			func_name=[[ShootEffect]],
			start_time=1.35,
		},
		[7]={
			args={
				alive_time=2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_513/Prefabs/513_hit2.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[vic_team_center]],depth=0.1,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
			},
			func_name=[[StandEffect]],
			start_time=1.5,
		},
		[8]={
			args={
				alive_time=2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_513/Prefabs/513_hit1.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[vic_team_center]],depth=0.1,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
			},
			func_name=[[StandEffect]],
			start_time=1.5,
		},
		[9]={
			args={shake_dis=0.02,shake_rate=30,shake_time=0.7,},
			func_name=[[ShakeScreen]],
			start_time=1.5,
		},
		[10]={
			args={
				alive_time=0.4,
				begin_pos={base_pos=[[atk]],depth=0.5,relative_angle=0,relative_dis=0,},
				delay_time=0,
				ease_type=[[Linear]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_513/Prefabs/513_fly1.prefab]],
					preload=true,
				},
				end_pos={base_pos=[[vic_team_center]],depth=0.5,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
				move_time=0.4,
			},
			editor_is_ban=false,
			func_name=[[ShootEffect]],
			start_time=1.55,
		},
		[11]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=1.55,
		},
		[12]={
			args={
				alive_time=0.15,
				ease_hide_time=0.05,
				ease_show_time=0,
				excutor=[[vicobjs]],
				mat_path=[[Material/effect_Fresnel_zise.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=1.55,
		},
		[13]={
			args={
				alive_time=2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_513/Prefabs/513_hit2.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[vic_team_center]],depth=0.1,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
			},
			func_name=[[StandEffect]],
			start_time=1.7,
		},
		[14]={
			args={
				alive_time=2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_513/Prefabs/513_hit1.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[vic_team_center]],depth=0.1,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
			},
			func_name=[[StandEffect]],
			start_time=1.7,
		},
		[15]={
			args={
				alive_time=0.15,
				ease_hide_time=0.05,
				ease_show_time=0,
				excutor=[[vicobjs]],
				mat_path=[[Material/effect_Fresnel_zise.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=1.7,
		},
		[16]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=1.7,
		},
		[17]={
			args={
				alive_time=2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_513/Prefabs/513_hit2.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[vic_team_center]],depth=0.1,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
			},
			func_name=[[StandEffect]],
			start_time=1.9,
		},
		[18]={
			args={
				alive_time=2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_513/Prefabs/513_hit1.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[vic_team_center]],depth=0.1,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
			},
			func_name=[[StandEffect]],
			start_time=1.9,
		},
		[19]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=1.9,
		},
		[20]={
			args={
				alive_time=0.2,
				ease_hide_time=0.1,
				ease_show_time=0,
				excutor=[[vicobjs]],
				mat_path=[[Material/effect_Fresnel_zise.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=2,
		},
		[21]={args={},func_name=[[MagcAnimEnd]],start_time=2,},
		[22]={args={},func_name=[[End]],start_time=2.5,},
	},
	group_cmds={},
	magic_anim_end_time=2,
	magic_anim_start_time=1,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_513/Prefabs/513_attack2.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_513/Prefabs/513_fly1.prefab]],
		[3]=[[Effect/Magic/magic_eff_new_513/Prefabs/513_fly1.prefab]],
		[4]=[[Effect/Magic/magic_eff_new_513/Prefabs/513_hit2.prefab]],
		[5]=[[Effect/Magic/magic_eff_new_513/Prefabs/513_hit1.prefab]],
		[6]=[[Effect/Magic/magic_eff_new_513/Prefabs/513_fly1.prefab]],
		[7]=[[Effect/Magic/magic_eff_new_513/Prefabs/513_hit2.prefab]],
		[8]=[[Effect/Magic/magic_eff_new_513/Prefabs/513_hit1.prefab]],
		[9]=[[Effect/Magic/magic_eff_new_513/Prefabs/513_hit2.prefab]],
		[10]=[[Effect/Magic/magic_eff_new_513/Prefabs/513_hit1.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
